Skip to main content
GET
List products
Authentication: API key OAuth 2.0
Scope: product.read
You can sort this list by using query parameters 👇
Price plans: this endpoint is available for all Qonto price plans.

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Query Parameters

page
integer
default:1

Returned page (cf. Pagination).

Example:

1

per_page
integer
default:100

Number of products per page (cf. Pagination).

Example:

25

sort_by
enum<string>
default:created_at:desc

Products can be sorted by their created_at / title property in 2 possible orders: asc (Ascending) / desc (Descending).

Available options:
created_at:asc,
created_at:desc,
title:asc,
title:desc
filter[type]
enum<string>

Filter products by type. Omit to return all products regardless of type.

Available options:
good,
service

Response

Returns the list of products.

products
object[]
meta
object

Metadata for paginated products and credit notes responses.

Note: these endpoints return the previous-page field as previous_page (rather than prev_page, used elsewhere in the Business API). next_page and previous_page are always present and are null on the last/first page.